Cleaning up offset result

__author__ = "Seghier Mohamed Abdelaziz"
__version__ = "2021.01.26"

import Rhino as rh
import Rhino.Geometry as rg
from System.Collections.Generic import List

crvs = List[rg.Curve]()
for c in curves:
    crvs.Add(c)

if not plane:
    plane = rg.Plane.WorldXY
tol = rh.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance

rc = rg.Curve.CreateBooleanRegions(crvs, plane, points, combineRegions, tol)

if rc:
    regions = List[rg.Curve]()
    for i in range(rc.RegionCount):
        regions.AddRange(rc.RegionCurves(i))
    regions = regions.ToArray()

I am not the author of the python component from which your error is resulting.

I found it here

I has been working super well, however, when offsetting the result of the “region find”, I have found these extra curve segments - which I’m trying to get rid of.

Could it be the version of Rhino you are using @ajarindia? I’m using Rhino 7